var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
import { getBabelChain } from "@modern-js/babel-preset-lib";
import { getBuildInPlugins } from "./built-in";
const getBabelConfig = (modulePresetOption, syntaxOption) => {
  const chain = getModuleBabelChain(modulePresetOption, syntaxOption);
  return __spreadValues({
    sourceType: "unambiguous"
  }, chain.toJSON());
};
const getModuleBabelChain = (modulePresetOption, syntaxOption) => {
  const chain = getBabelChain(modulePresetOption, syntaxOption);
  chain.plugin("@babel/plugin-proposal-do-expressions").use(require.resolve("@babel/plugin-proposal-do-expressions"));
  chain.plugin("@babel/plugin-proposal-throw-expressions").use(require.resolve("@babel/plugin-proposal-throw-expressions"));
  chain.plugin("@babel/plugin-proposal-class-static-block").use(require.resolve("@babel/plugin-proposal-class-static-block"));
  chain.plugin("@babel/plugin-proposal-function-sent").use(require.resolve("@babel/plugin-proposal-function-sent"));
  const buildInPlugins = getBuildInPlugins({
    importStyle: modulePresetOption.importStyle,
    staticDir: modulePresetOption.staticDir,
    styleDir: modulePresetOption.styleDir,
    sourceDir: modulePresetOption.sourceDir
  });
  chain.merge(buildInPlugins);
  return chain;
};
const getFinalBabelConfig = (chain) => __spreadValues({
  sourceType: "unambiguous"
}, chain.toJSON());
export * from "./types";
import { applyUserBabelConfig } from "@modern-js/babel-preset-lib";
export {
  applyUserBabelConfig,
  getBabelConfig,
  getFinalBabelConfig,
  getModuleBabelChain
};
